API documentation
get
/api/v1/Investment/manager/strategies/{imAccountId}/clientsReturns investor accounts currently linked to a strategy the caller manages, with the latest balance, equity, and margin for each account.
Investment
Parameters
imAccountId
path · integer
Required
version
path · string
Required
Responses
- 200Linked investor accounts and the strategy account snapshot.application/json
{ "clientCount": 1, "strategyAccount": { "accountId": 3544, "accountName": "260223", "userName": "alex.manager", "fullName": "Alex Manager", "currency": "USD", "role": "Manager", "portfolio": { "balance": 250000, "equity": 251200, "marginUsed": 12000 } }, "clients": [ { "accountId": 3601, "accountName": "INV-3601", "userName": "jordan.client", "fullName": "Jordan Client", "currency": "USD", "role": "Investor", "portfolio": { "balance": 15420.5, "equity": 15890.25, "marginUsed": 2100 } } ] } - 401The caller is not signed in.
- 404The strategy was not found or is not managed by the caller.application/json
{}